{
    "version": "0.2.0",
    "configurations": [
        {
            "name": "Debug LineDB Debug App",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "program": "${workspaceFolder}/debug_app.go",
            "cwd": "${workspaceFolder}",
            "env": {},
            "args": [],
            "showLog": true,
            "console": "integratedTerminal"
        },
        {
            "name": "Debug LineDB Simple Test",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "program": "${workspaceFolder}/simple.go",
            "cwd": "${workspaceFolder}",
            "env": {},
            "args": [],
            "showLog": true,
            "console": "integratedTerminal"
        },
        {
            "name": "Debug LineDB Tests",
            "type": "go",
            "request": "launch",
            "mode": "test",
            "program": "${workspaceFolder}/tests",
            "cwd": "${workspaceFolder}",
            "env": {},
            "args": ["-v"],
            "showLog": true,
            "console": "integratedTerminal"
        },
        {
            "name": "Debug LineDB Example",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "program": "${workspaceFolder}/examples/basic/main.go",
            "cwd": "${workspaceFolder}",
            "env": {},
            "args": [],
            "showLog": true,
            "console": "integratedTerminal"
        },
        {
            "name": "Debug LineDB Package",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "program": "${workspaceFolder}/pkg/linedb",
            "cwd": "${workspaceFolder}",
            "env": {},
            "args": [],
            "showLog": true,
            "console": "integratedTerminal"
        },
        {
            "name": "Debug LineDB Perf Example",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "program": "${workspaceFolder}/examples/perf/main.go",
            "cwd": "${workspaceFolder}",
            "env": {},
            "args": [],
            "showLog": true,
            "console": "integratedTerminal"
        },
        {
            "name": "Debug LineDB Partitions Example",
            "type": "go",
            "request": "launch",
            "mode": "auto",
            "program": "${workspaceFolder}/examples/partitions/main.go",
            "cwd": "${workspaceFolder}",
            "env": {},
            "args": [],
            "showLog": true,
            "console": "integratedTerminal"
        }
    ]
}
